%global scala_version 2.10
Name:          scopt
Version:       3.3.0
Release:       1%{?dist}
Summary:       A command line options parsing library
# https://github.com/jstrachan/scopt/issues/8
License:       MIT
URL:           https://github.com/scopt/scopt
Source0:       https://github.com/scopt/scopt/archive/%{version}.tar.gz
# Default use sbt
Source1:       http://central.maven.org/maven2/com/github/scopt/%{name}_%{scala_version}/%{version}/%{name}_%{scala_version}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.scala-lang:scala-compiler)
BuildRequires: mvn(org.scala-lang:scala-library)
# Unavailable test dep BuildRequires: mvn(org.specs2:specs2_%%{scala_version}:2.3.3)

BuildArch:     noarch

%description
Scopt is a little command line options parsing library.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -delete
cp -p %{SOURCE1} pom.xml
%pom_add_plugin org.apache.maven.plugins:maven-antrun-plugin:1.7 . '
<executions>
  <execution>
    <id>compile</id>
    <phase>process-sources</phase>
    <configuration>
      <tasks>
        <property name="build.compiler" value="extJavac"/>
        <taskdef resource="scala/tools/ant/antlib.xml" classpathref="maven.compile.classpath"/>
        <mkdir dir="target/classes"/>
        <scalac srcdir="src/main" destdir="target/classes" classpathref="maven.compile.classpath" encoding="UTF-8">
          <include name="**/*.*"/>
        </scalac>
      </tasks>
    </configuration>
      <goals>
        <goal>run</goal>
      </goals>
  </execution>
</executions>
<dependencies>
  <dependency>
      <groupId>org.scala-lang</groupId>
      <artifactId>scala-compiler</artifactId>
      <version>2.10.4</version>
  </dependency>
</dependencies>'

%mvn_file : %{name}

%build

# not able to run test suite and javadoc task
%mvn_build -f -j -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md

%changelog
* Tue Aug 04 2015 gil cattaneo <puntogil@libero.it> 3.3.0-1
- update to 3.3.0

* Fri Jun 13 2014 gil cattaneo <puntogil@libero.it> 3.2.0-1
- initial rpm
